<?
set_time_limit (3600 );


$database = array('user'=>'invsrop_user',
			 'host'=>'localhost', 
			 'pass'=>'1973.*',
			  'db'=>'invsrop_bd');
		  
/*$database = array('user'=>'root',
			 'host'=>'localhost', 
			 'pass'=>'',
			  'db'=>'alfa');*/
  
$link = mysql_connect($database['host'], $database['user'], $database['pass']);
		
$idSucursal = 1;

if($idSucursal){
	$where = " and idsucursal = '".$idSucursal."' ";
}

//Buscar todas las sucursales

$sql = "select IdAdministrador,IdSucursal 
		from `cr_sucursal`
		WHERE Estado = 'A' $where and m.eliminado = '0'
		";

$result = mysql_db_query($database['db'], $sql, $link);
$num_rows = mysql_num_rows($result);

if($num_rows>0){
  while ($o_valor = mysql_fetch_object($result)) {
  	$IdAdministrador = $o_valor->IdAdministrador;
  	$IdSucursal = $o_valor->IdSucursal;
  	//Buscar todos los mercados x cada sucursal
  	if($idSucursal){
		$where = " and sm.idsucursal = '".$idSucursal."' ";
	}
	
	if($idMercado){
		$where .= " and m.IdMercado = '".$idMercado."' ";
	}

  	$sql = "select IdMercado   
			from `cr_sucursal_mercado` sm
			left join cr_mercado m on m.IdMercado = sm.IdMercado
			WHERE $where and m.eliminado = '0'
			";
  	
  	$resultms = mysql_db_query($database['db'], $sql, $link);
	$num_rowsms = mysql_num_rows($resultms);
	 while ($o_valorms = mysql_fetch_object($resultms)) {
		if($num_rowsms > 0){
		$IdMercado = $o_valorms->IdMercado;
		//Buscar los colabaoradores x cada administrador
  		$sql = "select IdCliente
			from `cr_cliente` c
			WHERE idMercado = '$IdMercado'
				and c.eliminado ='0'
			";
	
  	
	  	$resultcli = mysql_db_query($database['db'], $sql, $link);
		$num_rowscli = mysql_num_rows($resultcli);
		if($num_rowscli > 0){
		 while ($o_valorcli = mysql_fetch_object($resultcli)) {
	  		$IdCliente = $o_valorcli->IdCliente;
	  		
	  		//Buscar los prestamos vencidos
		  	$sql = "select IdPrestamo ,estado,count(*)
					from `cr_prestamo`
					WHERE IdCliente = '$IdCliente'
					and estado='C' and estado <> 'P'
					and eliminado = '0'
					group by IdCliente,estado
					";
		  	/*if($IdColaborador == '126'){
		  			echo "ok".$IdColaborador;	
		  	}*/
		  	$resultpre = mysql_db_query($database['db'], $sql, $link);
			$num_rowspre = mysql_num_rows($resultpre);
			if($num_rowspre > 0){
			 while ($o_valorpre = mysql_fetch_object($resultpre)) {
		  		$IdPrestamo = $o_valorpre->IdPrestamo;
		  		
		  		/*if($IdPrestamo == '34891'){
		  			echo "ok".$IdPrestamo;	
		  		}*/
		  		echo "<pre>";
		  			print_r($o_valorpre);
				echo "</pre>"; 
				
			 }
			}
		 }
	 }
	 }
	}
	
  }
}

?>